## d3 3.3.13

=== Makefile ===
LOCALE ?= en_US

GENERATED_FILES = \
	d3.js \
	d3.min.js \
	src/format/format-localized.js \
	src/time/format-localized.js \
	bower.json \
	component.json

all: $(GENERATED_FILES)

.PHONY: clean all test

test:
	@npm test

src/format/format-localized.js: bin/locale src/format/format-locale.js
	LC_NUMERIC=$(LOCALE) LC_MONETARY=$(LOCALE) locale -ck LC_NUMERIC LC_MONETARY | bin/locale src/format/format-locale.js > $@

src/time/format-localized.js: bin/locale src/time/format-locale.js
	LC_TIME=$(LOCALE) locale -ck LC_TIME | bin/locale src/time/format-locale.js > $@

src/start.js: package.json bin/start
	bin/start > $@

d3.js: $(shell node_modules/.bin/smash --ignore-missing --list src/d3.js) package.json
	@rm -f $@
	node_modules/.bin/smash src/d3.js | node_modules/.bin/uglifyjs - -b indent-level=2 -o $@
	@chmod a-w $@

d3.min.js: d3.js bin/uglify
	@rm -f $@
	bin/uglify $< > $@

%.json: bin/% package.json
	@rm -f $@
	bin/$* > $@
	@chmod a-w $@

clean:
	rm -f -- $(GENERATED_FILES)

=== debian/changelog ===
d3 (3.3.13-1) unstable; urgency=low

  * Initial upload (closes: #676396).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 28 Dec 2013 20:58:35 +0100

=== debian/control ===
Source: d3
Section: web
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 9), node-uglify, node-smash, node-vows, node-jsdom, npm
Standards-Version: 3.9.5
Homepage: http://d3js.org

Package: libjs-d3
Architecture: all
Depends: ${misc:Depends}
Description: JavaScript visualization library for HTML and SVG
 JavaScript library for manipulating documents based on data. D3 helps you
 bring data to life using HTML, SVG and CSS. D3's emphasis on web standards
 gives you the full capabilities of modern browsers without tying yourself to
 a proprietary framework, combining powerful visualization components and a
 data-driven approach to DOM manipulation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_test:
	# nodejs part needs newer node-jsdom not yet in the archive
	# as that has a lot of reverse dependencies
	vows || true

%:
	dh $@

.PHONY: override_dh_auto_test

## d3 3.4.9

=== debian/changelog ===
d3 (3.4.9-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 12 Jul 2014 05:41:06 +0000

d3 (3.4.8-1) unstable; urgency=low

  * New upstream release.
  * Add watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 03 Jun 2014 21:09:37 +0000

d3 (3.4.6-1) unstable; urgency=low

  * New upstream release (closes: #745111).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 18 Apr 2014 08:35:19 +0000

## d3 3.4.11

=== Makefile ===
GENERATED_FILES = \
	d3.js \
	d3.min.js \
	bower.json \
	component.json

all: $(GENERATED_FILES)

.PHONY: clean all test

test:
	@npm test

src/start.js: package.json bin/start
	bin/start > $@

d3.js: $(shell node_modules/.bin/smash --ignore-missing --list src/d3.js) package.json
	@rm -f $@
	node_modules/.bin/smash src/d3.js | node_modules/.bin/uglifyjs - -b indent-level=2 -o $@
	@chmod a-w $@

d3.min.js: d3.js bin/uglify
	@rm -f $@
	bin/uglify $< > $@

%.json: bin/% package.json
	@rm -f $@
	bin/$* > $@
	@chmod a-w $@

clean:
	rm -f -- $(GENERATED_FILES)

=== debian/changelog ===
d3 (3.4.11-2) testing-proposed-updates; urgency=low

  * Do not build depend on node-jsdom, it's too old to run tests
    (closes: #768719).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 03 Dec 2014 19:51:41 +0000

d3 (3.4.11-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 23 Aug 2014 09:47:24 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9), node-uglify, node-smash, node-vows, node-jsdom, npm
+Build-Depends: debhelper (>= 9), node-uglify, node-smash, node-vows, npm
 Standards-Version: 3.9.5
 Homepage: http://d3js.org

## d3 3.5.3

=== debian/changelog ===
d3 (3.5.3-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 09 Jan 2015 17:50:51 +0000

d3 (3.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 27 Dec 2014 14:13:44 +0000

d3 (3.4.13-2) unstable; urgency=medium

  * Do not build depend on node-jsdom, it's too old to run tests
    (closes: #768719).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 11 Nov 2014 20:23:28 +0000

d3 (3.4.13-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 18 Oct 2014 14:27:14 +0000

## d3 3.5.6

=== debian/changelog ===
d3 (3.5.6-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 21 Jul 2015 17:10:34 +0000

d3 (3.5.5-2) unstable; urgency=low

  * Upload to Sid.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 17 May 2015 15:59:18 +0000

d3 (3.5.5-1) experimental; urgency=low

  * New upstream release.
  * Update node_is_nodejs.patch patch to match this release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 28 Mar 2015 22:08:24 +0000

## d3 3.5.14

=== Makefile ===
--- 
+++ 
@@ -1,18 +1,21 @@
 GENERATED_FILES = \
 	d3.js \
 	d3.min.js \
-	bower.json \
-	component.json
+	component.json \
+	package.js
 
 all: $(GENERATED_FILES)
 
-.PHONY: clean all test
+.PHONY: clean all test publish
 
 test:
 	@npm test
 
 src/start.js: package.json bin/start
 	bin/start > $@
+
+d3.zip: LICENSE d3.js d3.min.js
+	zip $@ $^
 
 d3.js: $(shell node_modules/.bin/smash --ignore-missing --list src/d3.js) package.json
 	@rm -f $@
@@ -28,5 +31,14 @@
 	bin/$* > $@
 	@chmod a-w $@
 
+package.js: bin/meteor package.json
+	@rm -f $@
+	bin/meteor > package.js
+	@chmod a-w $@
+
+publish:
+	npm publish
+	meteor publish && rm -- .versions
+
 clean:
 	rm -f -- $(GENERATED_FILES)

=== debian/changelog ===
d3 (3.5.14-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 30 Jan 2016 10:48:38 +0100

d3 (3.5.12-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 30 Dec 2015 17:16:08 +0100

d3 (3.5.9-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 18 Nov 2015 19:04:17 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 9), node-uglify, node-smash, node-vows, npm
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://d3js.org
 
 Package: libjs-d3

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,10 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+override_dh_auto_build:
+	smash $(CURDIR)/src/d3.js > $(CURDIR)/d3.js
+	uglifyjs $(CURDIR)/d3.js > $(CURDIR)/d3.min.js
 
 override_dh_auto_test:
 	# nodejs part needs newer node-jsdom not yet in the archive
@@ -12,4 +16,4 @@
 %:
 	dh $@
 
-.PHONY: override_dh_auto_test
+.PHONY: override_dh_auto_build override_dh_auto_test

## d3 3.5.17

=== debian/changelog ===
d3 (3.5.17-2) unstable; urgency=medium

  * Remove unneeded npm build dependency (closes: #857989).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 18 Mar 2017 09:39:21 +0000

d3 (3.5.17-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 07 May 2016 06:29:21 +0000

d3 (3.5.16-1) unstable; urgency=low

  * New upstream release.
  * Drop all patches, no longer needed.
  * Update source lintian overrides.
  * Keep rebuildable.
  * Update Standards-Version to 3.9.7 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 22 Feb 2016 21:26:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: web
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9), node-uglify, node-smash, node-vows, npm
-Standards-Version: 3.9.6
-Homepage: http://d3js.org
+Build-Depends: debhelper (>= 9), node-uglify, node-smash, node-vows
+Standards-Version: 3.9.8
+Homepage: https://d3js.org
 
 Package: libjs-d3
 Architecture: all

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
https://github.com/mbostock/d3/tags .*/archive/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
